Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 17 Feb 2023 05:06:06 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Since 3 days I am following up for my delivery..my delivery date was 14.02.23..still not delivered..I really disappointed with your service..I need to cancel this order and return to me my money on my bank account..not in shhukran account.I never suggest anyone for online purchase in future..No need my shipment..Need my money back..very bad..bad..experience..even there's NO CALLS..NO MESSAGES from splash...if I called you they are speaking in polite way and not doing their duty properly.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5722016